Net (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.dnn

## Class Net

- java.lang.Object
- - org.opencv.dnn.Net

-     public class Net
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Net()`
    `protected` | `Net(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Net` | `__fromPtr__(long addr)`
    `void` | `connect(java.lang.String outPin, java.lang.String inpPin)`
    `void` | `deleteLayer(DictValue layer)`
    `boolean` | `empty()`
    `void` | `enableFusion(boolean fusion)`
    `protected void` | `finalize()`
    `Mat` | `forward()`
    `void` | `forward(java.util.List<Mat> outputBlobs)`
    `void` | `forward(java.util.List<Mat> outputBlobs, java.util.List<java.lang.String> outBlobNames)`
    `void` | `forward(java.util.List<Mat> outputBlobs, java.lang.String outputName)`
    `Mat` | `forward(java.lang.String outputName)`
    `long` | `getFLOPS(int layerId, java.util.List<MatOfInt> netInputShapes)`
    `long` | `getFLOPS(int layerId, MatOfInt netInputShape)`
    `long` | `getFLOPS(java.util.List<MatOfInt> netInputShapes)`
    `long` | `getFLOPS(MatOfInt netInputShape)`
    `Layer` | `getLayer(DictValue layerId)`
    `int` | `getLayerId(java.lang.String layer)`
    `java.util.List<java.lang.String>` | `getLayerNames()`
    `int` | `getLayersCount(java.lang.String layerType)`
    `void` | `getLayerTypes(java.util.List<java.lang.String> layersTypes)`
    `void` | `getMemoryConsumption(int layerId, java.util.List<MatOfInt> netInputShapes, long[] weights, long[] blobs)`
    `void` | `getMemoryConsumption(int layerId, MatOfInt netInputShape, long[] weights, long[] blobs)`
    `void` | `getMemoryConsumption(MatOfInt netInputShape, long[] weights, long[] blobs)`
    `long` | `getNativeObjAddr()`
    `Mat` | `getParam(DictValue layer)`
    `Mat` | `getParam(DictValue layer, int numParam)`
    `long` | `getPerfProfile(MatOfDouble timings)`
    `MatOfInt` | `getUnconnectedOutLayers()`
    `static Net` | `readFromModelOptimizer(java.lang.String xml, java.lang.String bin)`
    `void` | `setHalideScheduler(java.lang.String scheduler)`
    `void` | `setInput(Mat blob)`
    `void` | `setInput(Mat blob, java.lang.String name)`
    `void` | `setInputsNames(java.util.List<java.lang.String> inputBlobNames)`
    `void` | `setParam(DictValue layer, int numParam, Mat blob)`
    `void` | `setPreferableBackend(int backendId)`
    `void` | `setPreferableTarget(int targetId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Net

          protected Net(long addr)

    - #### Net

          public Net()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Net __fromPtr__(long addr)

    - #### forward

          public Mat forward(java.lang.String outputName)

    - #### forward

          public Mat forward()

    - #### getParam

          public Mat getParam(DictValue layer,
                              int numParam)

    - #### getParam

          public Mat getParam(DictValue layer)

    - #### readFromModelOptimizer

          public static Net readFromModelOptimizer(java.lang.String xml,
                                                   java.lang.String bin)

    - #### getLayer

          public Layer getLayer(DictValue layerId)

    - #### empty

          public boolean empty()

    - #### getLayerId

          public int getLayerId(java.lang.String layer)

    - #### getLayersCount

          public int getLayersCount(java.lang.String layerType)

    - #### getFLOPS

          public long getFLOPS(MatOfInt netInputShape)

    - #### getFLOPS

          public long getFLOPS(int layerId,
                               MatOfInt netInputShape)

    - #### getFLOPS

          public long getFLOPS(int layerId,
                               java.util.List<MatOfInt> netInputShapes)

    - #### getFLOPS

          public long getFLOPS(java.util.List<MatOfInt> netInputShapes)

    - #### getPerfProfile

          public long getPerfProfile(MatOfDouble timings)

    - #### getLayerNames

          public java.util.List<java.lang.String> getLayerNames()

    - #### getUnconnectedOutLayers

          public MatOfInt getUnconnectedOutLayers()

    - #### connect

          public void connect(java.lang.String outPin,
                              java.lang.String inpPin)

    - #### deleteLayer

          public void deleteLayer(DictValue layer)

    - #### enableFusion

          public void enableFusion(boolean fusion)

    - #### forward

          public void forward(java.util.List<Mat> outputBlobs,
                              java.lang.String outputName)

    - #### forward

          public void forward(java.util.List<Mat> outputBlobs)

    - #### forward

          public void forward(java.util.List<Mat> outputBlobs,
                              java.util.List<java.lang.String> outBlobNames)

    - #### getLayerTypes

          public void getLayerTypes(java.util.List<java.lang.String> layersTypes)

    - #### getMemoryConsumption

          public void getMemoryConsumption(MatOfInt netInputShape,
                                           long[] weights,
                                           long[] blobs)

    - #### getMemoryConsumption

          public void getMemoryConsumption(int layerId,
                                           MatOfInt netInputShape,
                                           long[] weights,
                                           long[] blobs)

    - #### getMemoryConsumption

          public void getMemoryConsumption(int layerId,
                                           java.util.List<MatOfInt> netInputShapes,
                                           long[] weights,
                                           long[] blobs)

    - #### setHalideScheduler

          public void setHalideScheduler(java.lang.String scheduler)

    - #### setInput

          public void setInput(Mat blob,
                               java.lang.String name)

    - #### setInput

          public void setInput(Mat blob)

    - #### setInputsNames

          public void setInputsNames(java.util.List<java.lang.String> inputBlobNames)

    - #### setParam

          public void setParam(DictValue layer,
                               int numParam,
                               Mat blob)

    - #### setPreferableBackend

          public void setPreferableBackend(int backendId)

    - #### setPreferableTarget

          public void setPreferableTarget(int targetId)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown